> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List delegations



## OpenAPI

````yaml get /v1/delegations
openapi: 3.0.0
info:
  title: Decision APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/decision
  - url: https://staging.api.eu.aptlydone.com/decision
  - url: https://api.us.aptlydone.com/decision
  - url: https://api.eu.aptlydone.com/decision
security: []
tags: []
paths:
  /v1/delegations:
    get:
      tags:
        - delegations
      summary: List delegations
      operationId: DelegationController_getDelegations_v1
      parameters:
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            type: number
            example: 1
            minimum: 1
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 100
            example: 10
            type: number
        - name: tenantId
          required: true
          in: query
          description: Tenant ID
          schema:
            example: 105fa115-52d0-4466-baff-740447a60774
            type: string
        - name: status
          required: false
          in: query
          description: Comma separated Delegation Status values
          explode: false
          schema:
            type: array
            items:
              type: string
              enum:
                - DRAFT
                - PENDING
                - ISSUED
                - ACCEPTED
                - REJECTED
                - SUSPENDED
                - REVOKED
                - EXPIRED
                - ARCHIVED
                - DELETED
        - name: search
          required: false
          in: query
          description: Delegation search string
          schema:
            example: ''
            type: string
        - name: section
          required: false
          in: query
          description: Comma separated Section IDs
          explode: false
          schema:
            example: null
            type: array
            items:
              type: string
        - name: category
          required: false
          in: query
          description: Comma separated Category IDs
          explode: false
          schema:
            example: null
            type: array
            items:
              type: string
        - name: sortBy
          required: false
          in: query
          description: Criteria for sorting Delegations
          schema:
            enum:
              - delegationDisplayId
              - decisionName
              - sectionName
              - categoryName
              - status
              - updatedAt
              - expirationDate
              - authorityLimitSortPrecedence
              - rank
              - issuedDate
              - effectiveDate
              - acceptedDate
              - createdAt
            type: string
        - name: sortOrder
          required: false
          in: query
          description: Order for sorting Delegations
          schema:
            enum:
              - asc
              - desc
            type: string
        - name: groupIds
          required: false
          in: query
          description: Comma separated Group IDs
          explode: false
          schema:
            example: null
            type: array
            items:
              type: string
        - name: positionIds
          required: false
          in: query
          description: Comma separated Position IDs
          explode: false
          schema:
            example: null
            type: array
            items:
              type: string
        - name: redelegable
          required: false
          in: query
          description: Redelegable filter
          schema:
            example: true
            type: boolean
        - name: isInvalid
          required: false
          in: query
          description: Invalid delegations filter (Delegations with alerts)
          schema:
            example: true
            type: boolean
        - name: authorityTypeIds
          required: false
          in: query
          description: Comma separated Authority Type IDs
          explode: false
          schema:
            example: null
            type: array
            items:
              type: string
        - name: authorityLimitValueTypes
          required: false
          in: query
          description: Comma separated Authority Value Types
          explode: false
          schema:
            type: array
            items:
              type: string
              enum:
                - Currency
                - Number
                - Days
                - Months
                - Years
                - Authorized
                - Percentage
        - name: authorityLimitValueFilters
          required: false
          in: query
          description: Authority Limit Value Filters
          schema:
            type: array
            items:
              $ref: '#/components/schemas/AuthorityLimitValueFilter'
        - name: select
          required: false
          in: query
          description: Comma separated specific Delegation fields needed in response
          explode: false
          schema:
            type: array
            items:
              type: string
              enum:
                - DELEGATION_ID
                - DELEGATION_DISPLAY_ID
                - SOURCE_DECISION
                - DECISION_NAME
                - DECISION_ID
                - SECTION_ID
                - SECTION_NAME
                - CATEGORY_ID
                - CATEGORY_NAME
                - STATUS
                - ISSUED_DATE
                - EFFECTIVE_DATE
                - EXPIRATION_DATE
                - ACCEPTED_DATE
                - UPDATED_AT
                - CREATED_AT
                - REDELEGABLE
                - CONDITIONS
                - IS_INVALID
                - INVALID_FIELDS
                - ISSUER_TYPE
                - ISSUER_USER_ID
                - ISSUER_POSITION_ID
                - RECIPIENT_TYPE
                - RECIPIENT_USER_ID
                - RECIPIENT_POSITION_ID
                - AUTHORITY_TYPE_ID
                - AUTHORITY_LIMIT
                - AUTHORITY_LIMIT_VALUE_TYPE
                - AUTHORITY_LIMIT_OPERATOR
                - AUTHORITY_LIMIT_VALUE
                - AUTHORITY_LIMIT_VALUE_UNIT
                - DELEGATION_GROUPS
                - DELEGATION_AUTHORITIES
                - DELEGATION_RECIPIENTS
                - DELEGATION_ROLES
                - DELEGATION_CONDITIONS
        - name: fetchOnlyOwnDelegations
          required: false
          in: query
          description: >-
            If true, only returns delegations for which current user is
            issuer/recipient
          schema:
            example: true
            type: boolean
        - name: issuerType
          required: false
          in: query
          description: Delegation issuer type
          schema:
            $ref: '#/components/schemas/Object'
        - name: issuerUserId
          required: false
          in: query
          description: Delegation issuer user id
          schema:
            example: 648fa115-52d0-4466-baff-740447a60774
            type: string
        - name: issuerPositionId
          required: false
          in: query
          description: Delegation issuer position id
          schema:
            example: 257fa115-52d0-4466-baff-740447a60774
            type: string
        - name: roles
          required: false
          in: query
          description: Comma separated Role IDs
          schema:
            example: null
            type: array
            items:
              type: string
        - name: conditions
          required: false
          in: query
          description: Conditions filter
          schema:
            example: true
            type: boolean
        - name: issuedStartDate
          required: false
          in: query
          description: Start date time for date range filter on delegation issued date
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: issuedEndDate
          required: false
          in: query
          description: End date time for date range filter on delegation issued date
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: updatedStartDate
          required: false
          in: query
          description: Start date time for date range filter on delegation updated date
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: updatedEndDate
          required: false
          in: query
          description: End date time for date range filter on delegation updated date
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: effectiveStartDate
          required: false
          in: query
          description: Start date time for date range filter on delegation effective date
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: effectiveEndDate
          required: false
          in: query
          description: End date time for date range filter on delegation effective date
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: acceptedStartDate
          required: false
          in: query
          description: Start date time for date range filter on delegation accepted date
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: acceptedEndDate
          required: false
          in: query
          description: End date time for date range filter on delegation accepted date
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: expiredStartDate
          required: false
          in: query
          description: Start date time for date range filter on delegation expired date
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: expiredEndDate
          required: false
          in: query
          description: End date time for date range filter on delegation expired date
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: issuers
          required: false
          in: query
          description: Issuers Filters
          schema:
            $ref: '#/components/schemas/IssuerRecipientFilters'
        - name: recipients
          required: false
          in: query
          description: Recipients Filters
          schema:
            $ref: '#/components/schemas/IssuerRecipientFilters'
        - name: decisions
          required: false
          in: query
          description: Comma separated Decision IDs
          schema:
            example: null
            type: array
            items:
              type: string
        - name: isRootDelegation
          required: false
          in: query
          description: Root Delegation filter
          schema:
            example: true
            type: boolean
        - name: invalidFields
          required: false
          in: query
          description: Comma separated Delegation Invalid Fields
          schema:
            type: array
            items:
              type: string
        - name: issuerTypes
          required: false
          in: query
          description: Comma separated Delegation issuer types values
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Object'
        - name: recipientTypes
          required: false
          in: query
          description: Comma separated Delegation recipient types values
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Object'
        - name: userIds
          required: false
          in: query
          description: Comma separated User IDs
          schema:
            example: null
            type: array
            items:
              type: string
      responses:
        '200':
          description: Delegations list retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedDelegationResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    AuthorityLimitValueFilter:
      type: object
      properties:
        authorityLimitValueType:
          type: object
          description: Authority Limit Value Type (AUTHORIZED not supported)
          example: Years
        minValue:
          type: string
          description: >-
            Minimum value for the applied filter (if "Unlimited", maxValue will
            be ignored)
          example: '1'
        maxValue:
          type: string
          description: Maximum value for the applied filter (supports "Unlimited")
          example: Unlimited
      required:
        - authorityLimitValueType
        - minValue
        - maxValue
    Object:
      type: object
      properties: {}
    IssuerRecipientFilters:
      type: object
      properties:
        personnelInPosition:
          description: >-
            Comma separated Position IDs to filter issuers/recipients of type
            personnel in position
          example: null
          type: array
          items:
            type: string
        positionOnly:
          description: >-
            Comma separated Position IDs to filter issuers/recipients of type
            position only
          example: null
          type: array
          items:
            type: string
        specificPersonnel:
          description: >-
            Comma separated User IDs to filter issuers/recipients of type
            specific personnel
          example: null
          type: array
          items:
            type: string
    PaginatedDelegationResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 200
        timestamp:
          type: string
          example: '2026-01-08T06:33:50.693Z'
        message:
          type: string
          example: Success
        data:
          type: object
          required:
            - page
            - limit
            - total
            - data
          properties:
            page:
              type: number
              example: 1
              minimum: 1
            limit:
              type: number
              example: 10
              minimum: 1
            total:
              type: number
              example: 100
              minimum: 0
            data:
              type: array
              items:
                $ref: '#/components/schemas/DelegationResponseDto'
      required:
        - statusCode
        - timestamp
        - message
    DelegationResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 9f45f94d-20d2-4163-85d9-68f4f699e440
          description: Unique identifier
        tenantId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Tenant ID
        status:
          type: string
          default: DRAFT
          example: DRAFT
          description: Delegation status
          enum:
            - DRAFT
            - PENDING
            - ISSUED
            - ACCEPTED
            - REJECTED
            - SUSPENDED
            - REVOKED
            - EXPIRED
            - ARCHIVED
            - DELETED
        isRootDelegation:
          type: boolean
          default: false
          example: false
          description: Indicates if this is a Root Delegation
        issuerType:
          type: object
          example: ROOT_AUTHORITY
          description: Delegation issuer type
        issuerUserId:
          type: string
          example: 648fa115-52d0-4466-baff-740447a60774
          description: Delegation issuer user id
        issuerPositionId:
          type: string
          example: 257fa115-52d0-4466-baff-740447a60774
          description: Delegation issuer position id
        recipientType:
          type: object
          example: PERSONNEL_IN_POSITION
          description: Delegation recipient type
        recipientAutoIssue:
          type: boolean
          default: false
          example: false
          description: >-
            Auto Issue option for Delegation recipient of type
            PERSONNEL_IN_POSITION
        decisionId:
          type: string
          example: 864fa115-52d0-4466-baff-740447a60774
          description: Source decision for the delegation chain
        parentDelegationId:
          type: string
          example: 726fa115-52d0-4466-baff-740447a60774
          description: Parent delegation (Only applicable for non root delegations)
        issuedDate:
          format: date-time
          type: string
          example: '2025-01-01T12:00:00Z'
          description: Date on which delegation was issued
        acceptedDate:
          format: date-time
          type: string
          example: '2025-01-01T12:00:00Z'
          description: Date on which delegation was accepted
        expirationDate:
          format: date-time
          type: string
          example: '2025-12-31T12:00:00Z'
          description: Date on which delegation will be expired
        isNoExpiration:
          type: boolean
          default: false
          example: false
          description: Indicates if "No Expiration" option is selected for expirationDate
        effectiveDate:
          format: date-time
          type: string
          example: '2025-01-01T12:00:00Z'
          description: Date from which delegation will be effective
        updatedAt:
          format: date-time
          type: string
          example: '2025-01-01T12:00:00Z'
          description: Date when delegation was last updated
        copiedFrom:
          type: string
          nullable: true
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: ID of Delegation which was copied to create current delegation
        delegationPathway:
          default: []
          description: Delegation Pathway
          type: array
          items:
            $ref: '#/components/schemas/DelegationPathwayDto'
        delegationRecipients:
          default: []
          description: Delegation Recipients
          type: array
          items:
            $ref: '#/components/schemas/DelegationRecipientDto'
        delegationGroups:
          default: []
          description: Delegation Groups
          type: array
          items:
            $ref: '#/components/schemas/DelegationGroupDto'
        delegationAuthorities:
          default: []
          description: Delegation Authorities
          type: array
          items:
            $ref: '#/components/schemas/DelegationAuthorityDto'
        delegationDocuments:
          default: []
          description: Delegation Documents
          type: array
          items:
            $ref: '#/components/schemas/DelegationDocumentDto'
        delegationDisplayId:
          type: string
          description: Delegation Display ID
          example: '12789'
        link:
          type: string
          example: >-
            /delegations/view/eyJ0ZW5hbnRJZCI6IjEwNWZhMTE1LTUyZDAtNDQ2Ni1iYWZmLTc0MDQ0N2E2MDc3NCIsImRlbGVnYXRpb25JZCI6IjMwOGNiMzMxLWYwMTgtNGJjNS1hMWE3LTQ1MTI4NTU4MTg0MyJ9
          description: Delegation Link
        delegationId:
          type: string
          example: 9f45f94d-20d2-4163-85d9-68f4f699e440
          description: Unique identifier
        sourceDecision:
          type: object
          description: Source Decision
          example:
            id: 7df90da4-0634-40b9-abf5-6e97a222cfb8
            decisionDisplayId: '14623'
            name: Long-term Investments
            description: >-
              The Long-term Investments authority involves approving strategic
              investments
            guidance: Investment decisions for long-term, strategic investments...
            sectionId: 105fa115-52d0-4466-baff-740447a60774
            categoryId: 248fa115-52d0-4466-baff-740447a60774
        isInvalid:
          type: boolean
          example: false
          description: Indicates if delegation is invalid
        invalidFields:
          example:
            - delegationGroups
            - delegationAuthorities
          description: Indicates which delegation fields are invalid
          type: array
          items:
            type: string
        actionIssuerApproval:
          type: boolean
          example: true
          description: Indicates if the delegation Approval action is on/off in settings
        actionDelegationAcceptance:
          type: boolean
          example: true
          description: Indicates if the delegation Acceptance action is on/off in settings
        actionAuthorityRequest:
          type: boolean
          example: true
          description: Indicates if the delegation request action is on/off in settings
        approvalActionExistForUser:
          type: boolean
          example: true
          description: >-
            Indicates that delegation Approval active action exist or not for
            user as assignee
        acceptanceActionExistForUser:
          type: boolean
          example: true
          description: >-
            Indicates that delegation Acceptance active action exist or not for
            user as assignee
      required:
        - id
        - tenantId
        - issuerType
        - recipientType
        - decisionId
        - issuedDate
        - acceptedDate
        - effectiveDate
        - delegationDisplayId
        - link
    DelegationPathwayDto:
      type: object
      properties:
        pathwayTypeName:
          type: string
          example:
            - Matrix
            - Direct Line
            - Functional
          description: Delegation Pathway Type Name
        isInvalid:
          type: boolean
          example: false
          description: Indicates if delegation group is invalid
    DelegationRecipientDto:
      type: object
      properties:
        recipientUserId:
          type: string
          nullable: true
          example: 485fa115-52d0-4466-baff-740447a60774
          description: Identifier for the recipient user
        recipientPositionId:
          type: string
          nullable: true
          example: 14f5a115-52d0-4466-baff-740447a60774
          description: Identifier for the recipient position
        isInvalid:
          type: boolean
          default: false
          example: false
          description: Indicates if delegation recipient is invalid
    DelegationGroupDto:
      type: object
      properties:
        groupId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Group ID
        displayName:
          type: string
          maxLength: 100
          description: User-friendly display name for the group (preferred field)
          example: Engineering Team
        groupName:
          type: string
          maxLength: 100
          description: >-
            Group Name - legacy field, will be populated from displayName if not
            provided (for backward compatibility)
          example: Engineering Team
        tenantGroupTypeId:
          type: string
          description: Group Type ID
          example: 105fa115-52d0-4466-baff-740447a60774
        isInvalid:
          type: boolean
          example: false
          description: Indicates if delegation group is invalid
      required:
        - groupId
        - tenantGroupTypeId
    DelegationAuthorityDto:
      type: object
      properties:
        authorityTypeId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Authority Type ID
        authorityTypeOrder:
          type: number
          example: 1
          description: Authority Type Order
          default: 1
        authorityLimit:
          enum:
            - Primary
            - Secondary
            - Tertiary
          type: string
          example: Primary
          description: Authority Limit
        authorityLimitValueType:
          enum:
            - Currency
            - Number
            - Days
            - Months
            - Years
            - Authorized
            - Percentage
          type: string
          example: Currency
          description: Authority Limit Value Type
        authorityLimitOperator:
          enum:
            - <
            - <=
            - '='
            - '>='
            - '>'
          type: string
          example: <=
          description: Authority Limit Operator
        authorityLimitValue:
          type: string
          nullable: true
          maxLength: 50
          example: '1000000'
          description: Authority Limit Value
        authorityLimitValueUnit:
          type: string
          nullable: true
          maxLength: 25
          example: $
          description: Authority Limit Value Unit (e.g. $, days, months, years, %)
        redelegable:
          type: object
          default: true
          example: true
          description: Indicates whether the authority is redelegable
        redelegationLimitValue:
          type: string
          nullable: true
          maxLength: 50
          example: '500000'
          description: Redelegation limit value
        redelegationLimitValueUnit:
          type: string
          nullable: true
          maxLength: 25
          example: $
          description: Redelegation limit value unit (e.g. $, days, months, years, %)
        isInvalid:
          type: boolean
          example: false
          description: Indicates if delegation authority is invalid
        isLimitOverridden:
          type: boolean
          example: false
          description: >-
            Indicates if delegation authority limit value was overridden by
            someone with permission
      required:
        - authorityTypeId
        - authorityLimit
        - authorityLimitValueType
        - authorityLimitOperator
        - redelegable
    DelegationDocumentDto:
      type: object
      properties:
        documentId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Document ID
        isPinned:
          type: boolean
          example: true
          description: Indicates if Document is pinned
      required:
        - documentId
        - isPinned
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````